Core - Task # 41095

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Workspaces
Created: 2012-09-20 Assigned To:

Updated: 2013-12-10 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Rename usage of Core\DataHandler\DataHandler

Description

Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but should have been Core\DataHandling\DataHandler instead,
located beside the other classes and hook interfaces. The patch changes all usages in EXT:version.

Related issues:
related to Core - Task # 41094: Rename Core\DataHandler\DataHandler

Resolved 2012-09-20

Associated revisions

Revision 071321d4 - 2012-09-20 13:45 - Christian Kuhn

[TASK] Rename usage of Core\DataHandler\DataHandler

Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but should

have been Core\DataHandling\DataHandler instead, located beside the other

classes and hook interfaces. The patch changes all usages in EXT:version.

Change-Id: 13ca90294b18af52f94e1cb5f89234eec70cd00c3
Resolves: #41095

Related: #41094

Related: #40095

Releases: 6.0

Reviewed-on: http:/review.typo3.org/14759

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5d481fb6 - 2012-09-20 13:51 - Christian Kuhn

[TASK] Rename Core\DataHandler\DataHandler

Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but
should have been Core\DataHandling\DataHandler instead, located
beside the other classes and hook interfaces.

The patch moves the file and corrects all usages, and raises
submodule pointers of workspace and version that already got

the rename patches.

Change-Id: 1394849aceebc389d88b0da0f0ff9751a7cc8efcs
Resolves: #41094
http://review.typo3.org/14759

Related: #40095

Related: #41095

Related: #41096

Releases: 6.0

Reviewed-on: http://review.typo3.org/14762

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-09-20 11:43 - Christian Kuhn
- Tracker changed from Bug to Task

#2 - 2012-09-20 13:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14759

#3 - 2012-09-20 13:47 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#4 - 2013-12-10 00:57 - Michael Stucki

- Category set to Workspaces
#5 - 2013-12-10 01:02 - Michael Stucki

- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
